Bug 1570301 - Inconsistency: file /etc/init.d/glusterfs-server not part of 3.12 (.deb) package anymore
Summary: Inconsistency: file /etc/init.d/glusterfs-server not part of 3.12 (.deb) pack...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: GlusterFS
Classification: Community
Component: packaging
Version: 3.12
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-21 19:20 UTC by Markus Ueberall
Modified: 2018-04-30 11:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-30 11:53:42 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Markus Ueberall 2018-04-21 19:20:06 UTC
Description of problem:

Upon upgrade to v3.12 from an earlier version (here: v3.10.11) on Ubuntu Xenial using the official “Gluster” team repository, the file /etc/init.d/glusterfs-server is kept (part of the older package).
After purging, re-installing of the glusterfs-server package, the aforementioned file is removed.

Version-Release number of selected component (if applicable):
3.12.8[ubuntu1~xenial1]

How reproducible:
Install an older version of the glusterfs-server package(, check the existence of the aforementioned file), then purge the package and install version 3.12.8 of the glusterfs-server package.

Actual results:
The file in question is missing; it has not been documented that it is not needed anymore. Even in that case, the file should also be removed upon upgrade for consistency reasons alone.

Expected results:
Regardless of upgrade/"new" installation, /etc/init.d/glusterfs-server is available or not.

Additional info:

Comment 1 Kaleb KEITHLEY 2018-04-30 11:53:42 UTC
gluster 3.12 uses systemd and the glusterd.service file


Note You need to log in before you can comment on or make changes to this bug.